cannot rename a branch I own

Bug #51130 reported by Colin Watson on 2006-06-27
20
Affects Status Importance Assigned to Milestone
Launchpad itself
Critical
David Allouche

Bug Description

I'd like to be able to rename a branch I own, and apparently this is part of +admin on the branch; I get Forbidden when I try to use this. David says this should be allowed:

<ddaa> branch/+admin should be allowed to the branch owner
<ddaa> carlos: +edit and +admin for branch should have the same access
<ddaa> I think ATM +edit is owner-or-admin
<ddaa> but it makes sense to keep them separated, since +admin allows editing things that changes the URL the branch
<ddaa> and the pages where the branch appear on launchpad, etc
<ddaa> it allows moderately antisocial changes

David Allouche (ddaa) wrote :

(18:54:11) lifeless: ddaa: +admin should be admins only.
(18:54:20) lifeless: ddaa: +edit should ahve the functionality the branch owner needs.
(18:55:09) lifeless: ddaa: its a good idea to not give people hints to URLs that they will rarely have access to, and using +admin on branch does that.

David Allouche (ddaa) wrote :

Therefore branch/+admin should be renamed to something else that makes it clear it's for advanced changes one does not normally want to make.

I would support branch/+crocodile or branch/+spork.

Changed in launchpad-bazaar:
importance: Untriaged → Critical
status: Unconfirmed → Confirmed
Matthew Paul Thomas (mpt) wrote :

Just as a data point, /people/you/+edit lets you change the URL of your profile. So it would be precedented for +edit to let you change the URL of the branch here.

(In the long run, I think "branch/+anything" should be superceded by "branch" unless JavaScript isn't available.)

On Wed, 2006-06-28 at 02:42 +0000, Matthew Paul Thomas wrote:
> Just as a data point, /people/you/+edit lets you change the URL of your
> profile. So it would be precedented for +edit to let you change the URL
> of the branch here.
>
> (In the long run, I think "branch/+anything" should be superceded by
> "branch" unless JavaScript isn't available.)

I agree. ddaa has argued that its 'antisocial' to change the URL, but I
dont think it is - as long as its clear that changing the name will
change the URL, its up to the individual to decide what they want to do,
not up to us to make it hard to find the functionality.

-Rob

--
GPG key available at: <http://www.robertcollins.net/keys.txt>.

David Allouche (ddaa) on 2006-08-14
Changed in launchpad-bazaar:
assignee: nobody → ddaa
status: Confirmed → In Progress
David Allouche (ddaa) on 2006-09-01
Changed in launchpad-bazaar:
status: In Progress → Fix Committed
David Allouche (ddaa) on 2006-09-05
Changed in launchpad-bazaar:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers